%define	api	3.17
%define	major	0
%define	libname	%mklibname %{name} %{api} %{major}
%define	devname	%mklibname %{name} -d
%define _appdatadir %{_datadir}/appdata

Name:           gnote
Version:        3.17.0
Release:        1
Summary:        Note-taking application
Group:          Graphical desktop/GNOME
License:        GPLv3+
URL:            http://live.gnome.org/Gnote
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gnote/%{api}/%{name}-%{version}.tar.xz
Source100:      gnote.rpmlintrc

BuildRequires:  boost-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(gtkspell3-3.0)
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  libxml2-utils
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  appstream-util

%description
Gnote is a desktop note-taking application which is simple and easy to use.
It lets you organize your notes intelligently by allowing you to easily link
ideas together with Wiki style interconnects. It is a port of Tomboy to C++ 
and consumes fewer resources.


%files -f %{name}.lang
%doc COPYING README TODO NEWS AUTHORS
%{_bindir}/gnote
%{_mandir}/man1/gnote.1.*
%{_datadir}/applications/gnote.desktop
%{_datadir}/gnote/
%{_libdir}/gnote/
%{_datadir}/icons/hicolor/*/apps/gnote.png
%{_datadir}/icons/hicolor/scalable/apps/gnote.svg
%{_datadir}/dbus-1/services/org.gnome.Gnote.service
%{_datadir}/glib-2.0/schemas/org.gnome.gnote.gschema.xml
%{_datadir}/gnome-shell/search-providers/gnote-search-provider.ini
%{_appdatadir}/*.xml

#---------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared library for %{name}.


%files -n %{libname}
%doc COPYING README TODO NEWS AUTHORS
%{_libdir}/libgnote-%{api}.so.%{major}*

#---------------------------------------------------------

%package -n %{devname}
Summary:	Development library for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the development library for %{name}.


%files -n %{devname}
%doc COPYING README TODO NEWS AUTHORS
%{_libdir}/*.so

#---------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static --with-gnu-ld
%make V=1

%install
%makeinstall_std

find %{buildroot} -type f -name "*.la" -delete

%find_lang %{name} --with-gnome


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/gnote.desktop
appstream-util validate-relax --nonet %{buildroot}%{_appdatadir}/*.xml



%changelog

* Sat Aug 29 2015 abfonly <abfonly@gmail.com> 3.17.0-1
- (88b12ab) Merge pull request #1 from abfonly/gnote:gnome316
- (88b12ab) abfonly


